Bug 151132 - system-config-samba misreporting workgroup error
system-config-samba misreporting workgroup error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
RHEL3U7NAK
:
Depends On: 135119
Blocks: 189875
  Show dependency treegraph
 
Reported: 2005-03-15 03:19 EST by Nils Philippsen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-03-15 03:19:00 EST
+++ This bug was initially created as a clone of Bug #135119 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Apparently system-config-samba wants me to enter a workgroup before I
leave the "server settings" dialog.  However, it's failing to do this
properly, and dumping some error text in the console.



Version-Release number of selected component (if applicable):
system-config-samba-1.2.15-0.fc2.1

How reproducible:
Always

Steps to Reproduce:
1.  console:  system-config-samba
2.  select preferences->server settings
3.  under "basic" tab, leave workgroup blank and hit "ok"
    

Actual Results:  
(1) OK button is nonfunctional.
(2) Console displays:
Traceback (most recent call last):
  File "/usr/share/system-config-samba/basicPreferencesWin.py", line
182, in onBasicOkButtonClicked
    if not self.checkForWorkgroup(self.workgroup_entry.get_text()):
  File "/usr/share/system-config-samba/basicPreferencesWin.py", line
255, in checkForWorkgroup
    self.showMessageBox(_("You must specify a workgroup."))
AttributeError: BasicPreferencesWin instance has no attribute
'showMessageBox'
 


Expected Results:  Either close the dialog, or display an error
message indicating why you can't OK the dialog.

Additional info:
Comment 1 Nils Philippsen 2005-03-15 03:19:42 EST
Fix backported to RHEL3 in redhat-config-samba-1.0.16-4.
Comment 2 Nils Philippsen 2005-07-29 04:44:18 EDT
Fix backed out again in redhat-config-samba-1.0.16-5.
Comment 8 RHEL Product and Program Management 2007-10-19 15:06:13 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.